import { SearchResult } from 'app/shared/model/search-result';

export const MOCK_RESULTS: SearchResult[] = [
  {
    title: 'Result 1',
    description: 'Search result one is a mocked search result. This description should fill some space to test the formatting.',
    imageURL: 'https://sharing-codeability.uibk.ac.at/static/CodeAbility%20Austria-Dateien/Logo_codeAbility_transparent.png',
    rating: 1,
  },
  {
    title: 'Result 2',
    description: 'The description of search result two is different from the description of result one. It conveys little information.',
    imageURL: 'https://sharing-codeability.uibk.ac.at/static/CodeAbility%20Austria-Dateien/Partner_UIBK.png',
    rating: 3,
  },
  {
    title: 'Mock result',
    description: 'This result is concerned with mocking the style of search results',
    imageURL: 'https://sharing-codeability.uibk.ac.at/static/CodeAbility%20Austria-Dateien/Partner_TU_Wien.png',
    rating: 5,
  },
  {
    title: 'This title is quite long, but it should still be displayed properly. Have another sentence with some words.',
    description:
      "The author of this result's metadata likes to use a lot of words. Therefore, the description contains some sentences. This course is about demonstrating that some input might be really long. How should we handle this? Limit the number of characters displayed? Make the description expandable in the detail view?",
    imageURL: 'https://sharing-codeability.uibk.ac.at/static/CodeAbility%20Austria-Dateien/Partner_TU_Graz2.png',
    rating: 4,
  },
  {
    title: 'Mock result',
    description: 'This result is concerned with mocking the style of search results',
    imageURL: 'https://sharing-codeability.uibk.ac.at/static/CodeAbility%20Austria-Dateien/Partner_JKU2.png',
    rating: 2,
  },
];
